Update a goal's progress

Updates the value of a goal's progress. Please note, updates to a goal's attributes will also be recorded in the goal's activity history stream, where the label of the responsible API key will be displayed alongside the nature of the update. Archived & completed goals cannot have their progress updated. Users attempting to update these goals will receive an error message indicating their status as an archived or completed goal.

Path Params
string
required
Body Params
string
required

Set how to alter the current goal progress value. Possible Values: absolute, incremental. absolute - Overwrites the current goal progress value with the value passed in for value. incremental - Adds the passed in value to the current goal progress value.

number
required
-1e+100 to 1e+100

The value of this goal's progress.

string
required
^\d{4}-\d{2}-\d{2}$

The progress of this goal as of a certain date. Accepted Format: YYYY-MM-DD.

string

Text to be added to the goal being updated activity stream on update.

string

The ID that uniquely identifies the current outlook of the goal being updated. Accepts a single string value. Goal outlooks can be retrieved using the GET /v1/goal-outlooks endpoint.

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json